﻿/*----------------------------------------------------------------
//  <copyright file="DemoInputDto.cs" company="EaCloud项目团队">
//      Copyright (c) 2020-2021 SeonSoft. All rights reserved.
//  </copyright>
//  <site>http://www.seonsoft.biz</site>
//  <last-editor>Seon.Hu</last-editor>
//  <last-date>2021-04-17 19:06</last-date>
//----------------------------------------------------------------*/

using EaCloud;
using EaCloud.Entity;
using EaCloud.Mapping;
using System;
using System.ComponentModel;

namespace EaCloud.Template.Pack.Demo.Core.Dtos
{
    #region "输入DTO：Demo"
    /// <summary>
    /// 输入DTO：Demo
    /// </summary>
    [MapTo(typeof(Entities.Demo))]
    public class DemoInputDto : IInputDto<long>
    {
        #region "属性"
        #region "获取或设置 编号"
        /// <summary>
        /// 获取或设置 编号
        /// </summary>
        [DisplayName("编号")]
        public long Id { get; set; }
        #endregion

        #region "获取或设置 String"
        /// <summary>
        /// 获取或设置 String
        /// </summary>
        [DisplayName("String")]
        public string String { get; set; }
        #endregion
        #region "获取或设置 StringCanNull"
        /// <summary>
        /// 获取或设置 StringCanNull
        /// </summary>
        [DisplayName("StringCanNull")]
        public string StringCanNull { get; set; }
        #endregion
        #region "获取或设置 Decimal"
        /// <summary>
        /// 获取或设置 Decimal
        /// </summary>
        [DisplayName("Decimal")]
        public decimal Decimal { get; set; }
        #endregion
        #region "获取或设置 DecimalCanNull"
        /// <summary>
        /// 获取或设置 DecimalCanNull
        /// </summary>
        [DisplayName("DecimalCanNull")]
        public decimal? DecimalCanNull { get; set; }
        #endregion
        #region "获取或设置 Bool"
        /// <summary>
        /// 获取或设置 Bool
        /// </summary>
        [DisplayName("Bool")]
        public bool Bool { get; set; }
        #endregion
        #region "获取或设置 Guid"
        /// <summary>
        /// 获取或设置 Guid
        /// </summary>
        [DisplayName("Guid")]
        public Guid Guid { get; set; }
        #endregion
        #region "获取或设置 Bytes"
        /// <summary>
        /// 获取或设置 Bytes
        /// </summary>
        [DisplayName("Bytes")]
        public byte[] Bytes { get; set; }
        #endregion

        #endregion

    }
    #endregion

}
