﻿/*----------------------------------------------------------------
//  <copyright file="DemoOutputDto.cs" company="EaCloud项目团队">
//      Copyright (c) 2020-2021 SeonSoft. All rights reserved.
//  </copyright>
//  <site>http://www.seonsoft.biz</site>
//  <last-editor>Seon.Hu</last-editor>
//  <last-date>2021-04-17 19:06</last-date>
//----------------------------------------------------------------*/

using EaCloud;
using EaCloud.Entity;
using EaCloud.Mapping;
using System;
using System.ComponentModel;

namespace EaCloud.Template.Pack.Demo.Core.Dtos
{
    #region "输出DTO：Demo"
    /// <summary>
    /// 输出DTO：Demo
    /// </summary>
    [MapFrom(typeof(Entities.Demo))]
    public class DemoOutputDto : IOutputDto
    {
        #region "属性"
        #region "获取或设置 编号"
        /// <summary>
        /// 获取或设置 编号
        /// </summary>
        [DisplayName("编号")]
        public long Id { get; set; }
        #endregion

        #region "获取或设置 String"
        /// <summary>
        /// 获取或设置 String
        /// </summary>
        [DisplayName("String")]
        public string String { get; set; }
        #endregion
        #region "获取或设置 StringCanNull"
        /// <summary>
        /// 获取或设置 StringCanNull
        /// </summary>
        [DisplayName("StringCanNull")]
        public string StringCanNull { get; set; }
        #endregion
        #region "获取或设置 Decimal"
        /// <summary>
        /// 获取或设置 Decimal
        /// </summary>
        [DisplayName("Decimal")]
        public decimal Decimal { get; set; }
        #endregion
        #region "获取或设置 DecimalCanNull"
        /// <summary>
        /// 获取或设置 DecimalCanNull
        /// </summary>
        [DisplayName("DecimalCanNull")]
        public decimal? DecimalCanNull { get; set; }
        #endregion
        #region "获取或设置 Bool"
        /// <summary>
        /// 获取或设置 Bool
        /// </summary>
        [DisplayName("Bool")]
        public bool Bool { get; set; }
        #endregion
        #region "获取或设置 Guid"
        /// <summary>
        /// 获取或设置 Guid
        /// </summary>
        [DisplayName("Guid")]
        public Guid Guid { get; set; }
        #endregion
        #region "获取或设置 Bytes"
        /// <summary>
        /// 获取或设置 Bytes
        /// </summary>
        [DisplayName("Bytes")]
        public byte[] Bytes { get; set; }
        #endregion

        #region "获取或设置 组织机构编号 IOrganizationAudited，IDepartmentAudited 可装载接口，在数据创建可自动设置当前用户登录的组织机构值"
        /// <summary>
        /// 获取或设置 组织机构编号
        /// </summary>
        [DisplayName("组织机构编号")]
        public long? OrganizationId { get; set; }
        #endregion
        #region "获取或设置 部门编号 IDepartmentAudited 可装载接口，在数据创建可自动设置当前用户登录的部门机构值"
        /// <summary>
        /// 获取或设置 部门编号
        /// </summary>
        [DisplayName("部门编号")]
        public long? DepartmentId { get; set; }
        #endregion
        #region "获取或设置 数据版本 IDataVersion 可装载接口，用于乐观锁并发处理"
        /// <summary>
        /// 获取或设置 数据版本
        /// 在实体提交验证后（增加、修改）会自动设置一个时间戳值持久化至数据库
        /// 修改、移除时取实体数据库值与提交值比对，如不一致则拒绝提交
        /// </summary>
        [DisplayName("数据版本")]
        public long DataVersion { get; set; }
        #endregion
        #region "获取或设置 创建者编号 ICreationAudited 可装载接口，在数据创建时可自动设置当前用户值"
        /// <summary>
        /// 获取或设置 创建者编号
        /// </summary>
        [DisplayName("创建者编号")]
        public long? CreatorId { get; set; }
        #endregion
        #region "获取或设置 创建时间 ICreatedTime，ICreationAudited  可装载接口，在数据创建时可自动设置当前时间"
        /// <summary>
        /// 获取或设置 创建时间
        /// </summary>
        [DisplayName("创建时间")]
        public DateTime CreatedTime { get; set; }
        #endregion
        #region "获取或设置 更新者编号 IUpdateAudited 可装载接口，在数据更新时可自动设置当前用户值"
        /// <summary>
        /// 获取或设置 更新者编号
        /// </summary>
        [DisplayName("更新者编号")]
        public long? LastUpdaterId { get; set; }
        #endregion
        #region "获取或设置 最后更新时间 IUpdateAudited 可装载接口，在数据更新时可自动设置当前时间"
        /// <summary>
        /// 获取或设置 最后更新时间
        /// </summary>
        [DisplayName("最后更新时间")]
        public DateTime? LastUpdatedTime { get; set; }
        #endregion

        #endregion

    }
    #endregion

}
