﻿/*----------------------------------------------------------------
//  <copyright file="DemoEventData.cs" company="EaCloud项目团队">
//      Copyright (c) 2020-2021 SeonSoft. All rights reserved.
//  </copyright>
//  <site>http://www.seonsoft.biz</site>
//  <last-editor>Seon.Hu</last-editor>
//  <last-date>2021-04-17 19:06</last-date>
//----------------------------------------------------------------*/

using EaCloud;
using EaCloud.EventBuses;
using System.Collections.Generic;

namespace EaCloud.Template.Pack.Demo.Core.Events
{
    #region "Demo事件数据"
    /// <summary>
    /// Demo事件数据
    /// </summary>
    public class DemoEventData : EventDataBase
    {
        #region "属性"
        #region "获取或设置 操作类型"
        /// <summary>
        /// 获取或设置 操作类型
        /// </summary>
        public OperateType OperateType;
        #endregion
        #region "获取或设置 Demo数据"
        /// <summary>
        /// 获取或设置 Demo数据
        /// </summary>
        public IList<Entities.Demo> Demos { get; set; } = new List<Entities.Demo>();
        #endregion

        #endregion

        #region "方法"
        #region "是否有值"
        /// <summary>
        /// 是否有值
        /// </summary>
        public bool HasData()
        {
            return Demos?.Count > 0;
        }
        #endregion

        #endregion

    }
    #endregion

}
