﻿/*----------------------------------------------------------------
//  <copyright file="IDemoService.cs" company="EaCloud项目团队">
//      Copyright (c) 2020-2021 SeonSoft. All rights reserved.
//  </copyright>
//  <site>http://www.seonsoft.biz</site>
//  <last-editor>Seon.Hu</last-editor>
//  <last-date>2021-04-17 19:06</last-date>
//----------------------------------------------------------------*/

using EaCloud;
using EaCloud.Data;
using EaCloud.Template.Pack.Demo.Core.Dtos;
using System.Linq;
using System.Threading.Tasks;
using DemoEntity = EaCloud.Template.Pack.Demo.Core.Entities.Demo;

namespace EaCloud.Template.Pack.Demo.Core
{
    #region "业务契约：Demo服务"
    /// <summary>
    /// 业务契约：Demo服务
    /// </summary>
    public interface IDemoService
    {
        #region "属性"
        #region "获取 Demo实体查询数据集"
        /// <summary>
        /// 获取 Demo实体查询数据集
        /// </summary>
        IQueryable<DemoEntity> Demos { get; }
        #endregion

        #endregion

        #region "方法"
        #region "新增"
        /// <summary>
        /// 新增
        /// </summary>
        /// <param name="dtos">DTO信息</param>
        /// <returns>业务操作结果</returns>
        Task<OperationResult> Create(params DemoInputDto[] dtos);
        #endregion
        #region "更新"
        /// <summary>
        /// 更新
        /// </summary>
        /// <param name="dtos">DTO信息</param>
        /// <returns>业务操作结果</returns>
        Task<OperationResult> Update(params DemoInputDto[] dtos);
        #endregion
        #region "删除"
        /// <summary>
        /// 更新
        /// </summary>
        /// <param name="demoIds">数据实体编号</param>
        /// <returns>业务操作结果</returns>
        Task<OperationResult> Delete(params long[] demoIds);
        #endregion

        #region "根据编号查找"
        /// <summary>
        /// 根据编号查找
        /// </summary>
        /// <param name="demoId">数据实体编号</param>
        /// <returns>业务操作结果</returns>
        Task<OperationResult<DemoOutputDto>> FindById(long demoId);
        #endregion

        #endregion

    }
    #endregion

}
