﻿
#### 项目代码结构说明：
├─Core                               # 模块业务核心工程，顶层文件夹以业务模块内聚，每个文件夹按职责划分文件夹，通常可包含传输对象`Dtos`、实体类型`Entities`、事件处理`Events`等，业务接口IXXXService与业务实现IXXXService放在外边，如果文件数量多的话也可以建文件夹存放
│   ├─Dtos                          # 模块DTO文件夹，输对象`Dtos`
│   │   ├─XXXInputDto.cs           # XXX输入DTO
│   │   ├─XXXOutputDto.cs          # XXX输出DTO
│   │   └─XXXDto.cs                # XXXDTO
│   ├─Entities                      # 模块实体类文件夹，实体类型`Entities`
│   │   └─XXXEntity.cs             # XXX实体类
│   ├─Events                        # 业务事件文件夹
│   │   ├─XXXEventData.cs          # XXX事件数据
│   │   └─XXXEventHandler.cs       # XXX博客事件处理器
│   ├─XXXPack.cs                    # XXX模块入口类
│   ├─XXXSeedDataInitializer.cs     # XXX种子数据初始值设定项
│   ├─XXXService.cs                 # XXX服务类（可以建立多个服务系统）
│   ├─IXXXService.cs                # XXX服务接口（可以建立多个服务系统）
│   ├─XXXStore.cs                   # XXX存储功能（可以建立多个存储或并入服务系统中处理）
│   └─IXXXStore.cs                  # XXX存储功能接口（可以建立多个存储或并入服务系统中处理）
├─EntityConfiguration                # 实体映射配置工程，用于配置各个业务实体映射到数据库的映射细节。文件夹也推荐按模块内聚。
│   └─XXXEntityConfiguration.cs     # XXX实体映射配置类（Core.Entities文件夹中设立多少个实体这里旧需要对应设立一一对应的映射配置）
└─Enumerators                        # 枚举文件夹
     └─XXXEnum.cs                    # XXX枚举
