﻿/*----------------------------------------------------------------
//  <copyright file="TestHangfireJob.cs" company="EaCloud项目团队">
//      Copyright (c) 2020-2021 SeonSoft. All rights reserved.
//  </copyright>
//  <site>http://www.seonsoft.biz</site>
//  <last-editor>Seon.Hu</last-editor>
//  <last-date>2021-08-23 10:05</last-date>
//----------------------------------------------------------------*/

using EaCloud;
using EaCloud.Pack.Identity.Core;
using EaCloud.Pack.Identity.Core.Entities;
using Microsoft.AspNetCore.Identity;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace EaCloud.Template.Svc.Hangfire
{
    #region "测试Hangfire作业"
    /// <summary>
    /// 测试Hangfire作业
    /// </summary>
    public class TestHangfireJob
    {
        //字段
        private readonly IIdentityContract _identityContract;
        private readonly IServiceProvider _provider;

        #region "构造函数"
        #region "初始化一个测试Hangfire作业的新实例"
        /// <summary>
        /// 初始化一个测试Hangfire作业（<see cref="TestHangfireJob"/>）的新实例
        /// </summary>
        /// <param name="identityContract"></param>
        /// <param name="provider"></param>
        public TestHangfireJob(IIdentityContract identityContract, IServiceProvider provider)
        {
            _identityContract = identityContract;
            _provider = provider;
        }
        #endregion

        #endregion

        #region "方法"
        #region "获取用户数量"
        /// <summary>
        /// 获取用户数量
        /// </summary>
        public string GetUserCount()
        {
            List<string> list = new List<string>();
            list.Add(_identityContract.Users.Count().ToString());
            list.Add(_identityContract.GetHashCode().ToString());
            return list.ExpandAndToString();
        }
        #endregion
        #region "锁定用户2"
        /// <summary>
        /// 锁定用户2
        /// </summary>
        /// <returns></returns>
        public async Task<string> LockUser2()
        {
            List<string> list = new List<string>();
            UserManager<User> userManager = _provider.GetService<UserManager<User>>();
            User user2 = await userManager.FindByIdAsync("2");
            if (user2 != null)
            {
                list.Add($"user2.IsLocked: {user2.IsLocked}");
                user2.IsLocked = !user2.IsLocked;
                //注释更新代码，本方法仅做代码参考
                //await userManager.UpdateAsync(user2);
                //IUnitOfWork unitOfWork = _provider.GetUnitOfWork<User, int>();
                //unitOfWork.Commit();
                //user2 = await userManager.FindByIdAsync("2");
                //list.Add($"user2.IsLocked: {user2.IsLocked}");
            }

            return list.ExpandAndToString();
        }
        #endregion

        #region "测试方法"
        /// <summary>
        /// 测试方法
        /// </summary>
        /// <returns></returns>
        public async Task<string> Test()
        {
            //IUnitOfWork unitOfWork = _provider.GetUnitOfWork();
            //var llj = unitOfWork;

            var logger = _provider.GetLogger<TestHangfireJob>();
            logger.LogDebug("Hangfire Test");

            return await Task.FromResult("");
        }
        #endregion

        #endregion

    }
    #endregion

}
