﻿
#### 项目代码结构说明：
├─Areas                                             # 区域WebApi控制器文件夹，访问路由规范 "api/[area]/[controller]/[action]"
│   └─XXX                                          # 区域WebApi控制器分类块文件夹，按实际业务需求聚合，可以设立多个文件夹
│        ├─Controllers                             # 区域WebApi控制器分类控制器文件夹
│        │   └─XXYY                               # 区域WebApi控制器分类控制器块业务文件夹，按实际业务需求聚合，可以设立多个文件夹
│        │        └─YYYYController.cs             # 区域WebApi控制器分类控制器块业务块具体业务控制器文件，需要继承自所属分类块控制器基类 XXXControllerBase，可以按业务需求设立多个文件
│        └─XXXControllerBase.cs                    # 区域WebApi控制器分类块控制器基类，需要具有 abstract 修饰符、AreaInfo 标记属性且继承自 AreaApiControllerBase，实现访问路由 "api/[area]/[controller]/[action]"
├─Certificate                                       # ssl证书存放文件夹，证书文件属性设置为 "复制到输出目录：是"
├─Controllers                                       # WebApi控制器文件夹，访问路由规范 "api/[controller]/[action]"
│   ├─YYYControllerBase.cs                         # WebApi控制器基类，需要具有 abstract 修饰符且继承自 ApiControllerBase，实现访问路由 "api/[controller]/[action]"
│   └─YYYController.cs                             # WebApi控制器基，需要继承自 YYYControllerBase，可以按业务需求设立多个文件
├─Hangfire                                          # Hangfire后台任务文件夹
│   ├─HangfireJobRunner.cs                         # Hangfire作业运行器
│   └─XXXHangfireJob.cs                            # XXXHangfire作业，可以按业务需求设立多个文件
├─Startups                                          # EF Core 迁移模块启动文件夹，Code First模式
│   ├─DesignTimeDefaultDbContextFactory.cs         # 设计时数据上下文实例工厂，用于执行数据迁移
│   ├─MySqlDefaultDbContextMigrationPack.cs        # MySql-DefaultDbContext迁移模块
│   ├─OracleDefaultDbContextMigrationPack.cs       # Oracle-DefaultDbContext迁移模块
│   ├─PostgreSqlDefaultDbContextMigrationPack.cs   # PostgreSql-DefaultDbContext迁移模块
│   ├─Readme.Migration.md                          # EF Core 迁移帮助说明
│   ├─SqliteDefaultDbContextMigrationPack.cs       # Sqlite-DefaultDbContext迁移模块
│   └─SqlServerDefaultDbContextMigrationPack.cs    # SqlServer-DefaultDbContext迁移模块
├─appsettings.json                                  # 应用程序配置文档（生产环境）
│   └─appsettings.Development.json                 # 应用程序配置文档（开发调试环境）
├─Dockerfile                                        # Docker配置文档
├─Program.cs                                        # 程序入口类
└─Startup.cs                                        # 程序启动类


#### 项目启动配置
* 按实际环境修改配置文件`appsetting.Development.json`中的`EaCloud:DbContexts:[SqlServer|MySql]`中的配置信息，`ConnectionString`为数据库连接串，`AutoMigrationEnabled`为是否开启自动迁移
* 在程序包管理器控制台输入如下指令：Add-Migration [-Name] <String> ，例如：add-migration -Name InitialCreate ，生成数据库迁移脚本。（具体参见 Startups/Readme.Migration.md）
* 如未开启`AutoMigrationEnabled`的自动迁移功能，还需要在`nuget 控制台`手动执行迁移操作
> Update-Database

* 配置好后，即可正常启动项目。
