/*----------------------------------------------------------------
//  <copyright file="Startup.cs" company="EaCloudĿŶ">
//      Copyright (c) 2020-2021 SeonSoft. All rights reserved.
//  </copyright>
//  <site>http://www.seonsoft.biz</site>
//  <last-editor>Seon.Hu</last-editor>
//  <last-date>2021-09-17 12:23</last-date>
//----------------------------------------------------------------*/

using EaCloud;
using EaCloud.AspNetCore;
using EaCloud.AspNetCore.Routing;
//using EaCloud.AspNetCore.SignalR;
using EaCloud.AutoMapper;
//using EaCloud.Baidu.Core;
using EaCloud.Exceptionless;
using EaCloud.Hangfire;
using EaCloud.Log4Net;
using EaCloud.MiniProfiler;
//using EaCloud.NLog;
using EaCloud.Pack.Audit.Core;
using EaCloud.Pack.Authorization.Core;
using EaCloud.Pack.File.Core;
using EaCloud.Pack.Identity.Core;
using EaCloud.Pack.InstantMessage.Core;
using EaCloud.Pack.SMS.Core;
using EaCloud.Redis;
using EaCloud.Swagger;
//using EaCloud.Template.Pack.Demo.Core;
using EaCloud.Template.Svc.Startups;
using Microsoft.AspNetCore.Builder;
using Microsoft.AspNetCore.Hosting;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;

namespace EaCloud.Template.Svc
{
    /// <summary>
    /// 
    /// </summary>
    public class Startup
    {
        #region "÷񣬴˷ʱáʹô˷ɽӵС"
        /// <summary>
        /// ÷񣬴˷ʱáʹô˷ɽӵС
        /// This method gets called by the runtime. Use this method to add services to the container.
        /// </summary>
        /// <param name="services">ָϵЭ</param>
        public void ConfigureServices(IServiceCollection services)
        {
            //ݿ⿪Աҳ쳣ɸѡ
            services.AddDatabaseDeveloperPageExceptionFilter();

            //Զģ飬ָųضģ
            //services.AddEaCloud().AddPacks(typeof(HangfirePack), typeof(RedisPack));

            //ֶģ
            services.AddEaCloud()
                .AddPack<Log4NetPack>()
                //.AddPack<NLogPack>()  //עNLog־ģ飬Log4־ģȶ ٣Trace־𣬸üLog4д ԣDebug־
                .AddPack<AutoMapperPack>()
                //.AddPack<SignalRPack>()   //עϢģ飬ͲҪSignalRģ飬ϢģSignalRģ飬ִ
                .AddPack<EndpointsPack>()
                .AddPack<MiniProfilerPack>()
                .AddPack<SwaggerPack>()
                .AddPack<RedisPack>()
                .AddPack<SqlServerDefaultDbContextMigrationPack>()
                .AddPack<HangfirePack>()
                .AddPack<AuthenticationPack>()
                .AddPack<FunctionAuthorizationPack>()
                .AddPack<DataAuthorizationPack>()
                .AddPack<AuditPack>()
                .AddPack<ExceptionlessPack>()
                .AddPack<InstantMessagePack>()
                .AddPack<SmsPack>()
                //.AddPack<BaiduPack>()  //ٶȷAPIģ飬Ҫ
                .AddPack<FilePack>()
                //ģ
                //.AddPack<DemoPack>()
                ;

        }
        #endregion

        #region "ã˷ʱáʹô˷HTTPܵ"
        /// <summary>
        /// ã˷ʱáʹô˷HTTPܵ
        /// This method gets called by the runtime. Use this method to configure the HTTP request pipeline.
        /// </summary>
        /// <param name="app">һ࣬ṩӦóܵĻ</param>
        /// <param name="env">ṩйӦówebϢ</param>
        public void Configure(IApplicationBuilder app, IWebHostEnvironment env)
        {
            if (env.IsDevelopment())
            {
                app.UseDeveloperExceptionPage();

                app.UseMigrationsEndPoint();
            }
            else
            {
                app.UseExceptionHandler("/Error");
                app.UseHsts();
                //app.UseHttpsRedirection(); // HTTPS
            }

            //app.UseMiddleware<HostHttpCryptoMiddleware>();
            //app.UseMiddleware<JsonNoFoundHandlerMiddleware>();
            app.UseMiddleware<JsonExceptionHandlerMiddleware>();
            app.UseDefaultFiles();
            app.UseStaticFiles();
            app.UseEaCloud();

        }
        #endregion

    }

}
