﻿/*----------------------------------------------------------------
//  <copyright file="DesignTimeDefaultDbContextFactory.cs" company="EaCloud项目团队">
//      Copyright (c) 2020-2021 SeonSoft. All rights reserved.
//  </copyright>
//  <site>http://www.seonsoft.biz</site>
//  <last-editor>Seon.Hu</last-editor>
//  <last-date>2021-04-19 10:05</last-date>
//----------------------------------------------------------------*/

using EaCloud;
using EaCloud.Entity;
using Microsoft.Extensions.DependencyInjection;
using System;

namespace EaCloud.Template.Svc.Startups
{
    #region "设计时数据上下文实例工厂，用于执行数据迁移"
    /// <summary>
    /// 设计时数据上下文实例工厂，用于执行数据迁移
    /// </summary>
    public class DesignTimeDefaultDbContextFactory : DesignTimeDbContextFactoryBase<DefaultDbContext>
    {
        #region "构造函数"
        #region "初始化一个设计时数据上下文实例工厂的新实例"
        /// <summary>
        /// 初始化一个设计时数据上下文实例工厂的新实例
        /// </summary>
        public DesignTimeDefaultDbContextFactory()
            : base(null)
        { }
        #endregion
        #region "初始化一个设计时数据上下文实例工厂的新实例"
        /// <summary>
        /// 初始化一个设计时数据上下文实例工厂的新实例
        /// </summary>
        /// <param name="serviceProvider"></param>
        public DesignTimeDefaultDbContextFactory(IServiceProvider serviceProvider)
           : base(serviceProvider)
        { }
        #endregion

        #endregion

        #region "重写方法"
        #region "创建设计时使用的ServiceProvider，主要用于执行 Add-Migration 功能"
        /// <summary>
        /// 创建设计时使用的ServiceProvider，主要用于执行 Add-Migration 功能
        /// </summary>
        /// <returns></returns>
        protected override IServiceProvider CreateDesignTimeServiceProvider()
        {
            IServiceCollection services = new ServiceCollection();
            Startup startup = new();
            startup.ConfigureServices(services);
            IServiceProvider provider = services.BuildServiceProvider();
            return provider;
        }
        #endregion

        #endregion

    }
    #endregion

}
