﻿Write-Host("开始处理...") -ForegroundColor green #-BackgroundColor white;
# 本地包所在列表（dotnet命令确定拉取下来的nuget包保存位置）
$localpackPahts = dotnet nuget locals global-packages -l

$frameworkName = "net5.0"

# xml需要复制输出的目录
$outputDebugDirectory = ".\bin\Debug\" + $frameworkName + "\"
$outputReleaseDirectory = ".\bin\Release\" + $frameworkName + "\"

#包所在基本路径
$packageBasePath

#包基本路径赋值 (通过dotnet nuget locals global-packages -l命令获取到的是一个列表，不能当成字符串用，我们需要对它进行处理)
ForEach ($file in $localpackPahts) {
   # 去除路径字符串前面非路径字符串 并赋值到变量
   $index = $file.indexof(" ")
   $packageBasePath = $file.Substring($index)
   $packageBasePath = $packageBasePath.Trim();
   Write-Host("定位到NuGet包基本路径:" + $packageBasePath)
}

#获取项目依赖包列表（dotnet列出项目所有包以及其依赖包的信息列表，如果只需要复制直接依赖包中xml可以去掉 命令中--include-transitive参数）
$packageList = dotnet list package --include-transitive

# 遍历复制所有包中xml
#:outer
ForEach ($package in $packageList){
    $package = $package.Trim()
    if($package.StartsWith('> ')){
        #解析包文件名称和版本
        $package = $package.Substring(1).Trim()
        $packCode = $package.Split(" ")[0]
        $packVer = $package.Substring($packCode.Length).Trim().Split(" ")[0]
        #处理包文件路径
        $path = $packageBasePath + '\' + $packCode + '\' + $packVer + '\lib'+ '\' + $frameworkName + "\" + $packCode + ".xml"
        
        if(Test-Path $path){
            Write-Host("正在处理包文件:"+$path) -ForegroundColor yellow #-BackgroundColor white;
            Copy-Item $path $outputDebugDirectory
            Copy-Item $path $outputReleaseDirectory
            Write-Host("完成拷贝: " + $packCode + ".xml") 
        }
    }
}

# 遍历需要复制xml的包 , 如果需要复制所有包中xml 请自行实现 
# 需要复制xml的包列表 （如果是要copy所有包中的xml则不需要此变量 下面的逻辑也需要适当更改）
#$nameKeys='EaCloud.Api.Audit','A.ASM.Domain'
#:outer
#ForEach ($packKey in $nameKeys){
#    # 拼接包路径
#    $prePath=$packageBasePath+"\"+$packKey
#    # 路径存在遍历包列表
#    if(Test-Path $prePath){
#        ForEach ($a in $packagesList){
#           if($a.contains($packKey)){
#                $index=$a.indexof($packKey)
#                $b=$a.Substring($index)
#                $c=$b.Split(" ")
#                if($c -contains $packKey){
#                    #确定目标包信息字符串 然后处理字符串
#                    $index2=$packKey.Length
#                    $v=$b.Substring($index2)
#                    $path=$prePath+'\'+$v.Trim()+'\lib\'
#                    $frameworkNames = Get-ChildItem $path 
#                    ForEach ($frameworkName in $frameworkNames){
#                        $path=$path+$frameworkName+'\'+$packKey+".xml"
#                        Write-Host("packPath:"+$path) -ForegroundColor red -BackgroundColor white;
#                        if(Test-Path $path){
#                            Copy-Item $path $outputDirectory
#                            Write-Host("Complete Copy: " +$packKey+".xml") 
#                             continue outer 
#                        } 
#                    }  
#                   continue outer 
#                }
#            } 
#        }
#    }  
#}

Write-Host("处理完毕...") -ForegroundColor green #-BackgroundColor white;

